Skip to main content

Project

View as Markdown

Project object​

namestringIDImmutable

Output only. The full resource path of the project. Format: projects/{project_id}

uidstringOutput only

A system-generated UUID that identifies the project. Unlike name, it is not derived from the user-chosen project ID.

create_timestringOutput only

A timestamp indicating when the project was created.

update_timestringOutput only

A timestamp indicating when the project was last updated.

specobject

The desired configuration of the project. The fields under spec are the ones that can be changed after creation, except pg_version, which is fixed when the project is created. See status for the configuration that is currently in effect.

Read the resource's current values from status, rather than spec. spec tracks field ownership for infrastructure-as-code tools and may omit unmanaged fields.

Show child attributesHide child attributes
display_namestring

Human-readable project name. Length should be between 1 and 256 characters.

pg_versionint32Input onlyImmutable

The major Postgres version number. Defaults to 17 when omitted. The set of versions that new projects can use may change over time.

history_retention_durationstring

The number of seconds to retain the shared history for point in time recovery for all branches in this project. Value should be between 172800s (2 days) and 3024000s (35 days). Defaults to 604800s (7 days) when omitted.

default_endpoint_settingsobject

Settings applied by default to compute endpoints created in this project. The initial endpoint also takes these values for any setting that initial_endpoint_spec does not provide.

Show child attributesHide child attributes
autoscaling_limit_min_cudouble

The minimum number of Compute Units. Minimum value is 0.5.

autoscaling_limit_max_cudouble

The maximum number of Compute Units. Minimum value is 0.5.

suspend_timeout_durationstring

Duration of inactivity after which the compute endpoint is automatically suspended. If specified should be between 60s and 604800s (1 minute to 1 week). Mutually exclusive with no_suspension.

no_suspensionboolean

When set to true, explicitly disables automatic suspension (never suspend). Should be set to true when provided. Mutually exclusive with suspend_timeout_duration.

pg_settingsobject

A raw representation of Postgres settings.

budget_policy_idstring

The desired budget policy to associate with the project. See status.budget_policy_id for the policy that is actually applied to the project.

custom_tagsarray of object

Custom tags to associate with the project, used for billing and cost tracking. To update tags, provide the new tag list and include "spec.custom_tags" in the update_mask. To clear all tags, provide an empty list and include "spec.custom_tags" in the update_mask. To preserve existing tags, omit this field from the update_mask (or use wildcard "*" which auto-excludes empty tags).

Show child attributesHide child attributes
keystring

The key of the custom tag.

valuestring

The value of the custom tag.

enable_pg_native_loginboolean

Whether to enable PG native password login on all endpoints in this project. Defaults to false.

default_branchstring

The full resource path of the default branch of the project. Format: projects/{project_id}/branches/{branch_id} At creation time, the branch ID in this path names the initial branch, which is called production when the field is omitted. On update, the path must name an existing branch of this project, which then becomes the default branch.

statusobjectOutput only

The configuration and state of the project that are currently in effect, as reported by the system.

Show child attributesHide child attributes
display_namestringOutput only

The effective human-readable project name.

pg_versionint32Output only

The effective major Postgres version number.

history_retention_durationstringOutput only

The effective number of seconds to retain the shared history for point in time recovery.

default_endpoint_settingsobjectOutput only

The effective default endpoint settings.

Show child attributesHide child attributes
autoscaling_limit_min_cudouble

The minimum number of Compute Units. Minimum value is 0.5.

autoscaling_limit_max_cudouble

The maximum number of Compute Units. Minimum value is 0.5.

suspend_timeout_durationstring

Duration of inactivity after which the compute endpoint is automatically suspended. If specified should be between 60s and 604800s (1 minute to 1 week). Mutually exclusive with no_suspension.

no_suspensionboolean

When set to true, explicitly disables automatic suspension (never suspend). Should be set to true when provided. Mutually exclusive with suspend_timeout_duration.

pg_settingsobject

A raw representation of Postgres settings.

branch_logical_size_limit_bytesint64Output only

The logical size limit for a branch.

synthetic_storage_size_bytesint64Output only

The current space occupied by the project in storage.

compute_last_active_timestringOutput only

The most recent time when any endpoint of this project was active.

budget_policy_idstringOutput only

The budget policy that is applied to the project.

custom_tagsarray of objectOutput only

The effective custom tags associated with the project.

Show child attributesHide child attributes
keystring

The key of the custom tag.

valuestring

The value of the custom tag.

ownerstringOutput only

The email of the project owner.

enable_pg_native_loginbooleanOutput only

Whether to enable PG native password login on all endpoints in this project.

default_branchstringOutput only

The full resource path of the default branch of the project.

project_idstringOutput only

The project ID, which is the final segment of the project's resource name.

initial_endpoint_specobjectInput only

Configuration settings for the initial Read/Write endpoint created inside the initial branch for a newly created project. If omitted, the initial endpoint created will have default settings, without high availability configured. This field does not apply to any endpoints created after project creation. Use spec.default_endpoint_settings to configure default settings for endpoints created after project creation.

Show child attributesHide child attributes
groupobject

Settings for HA configuration of the endpoint.

Show child attributesHide child attributes
minint32

The minimum number of computes in the endpoint group. Currently, this must be equal to max. This must be greater than or equal to 1.

maxint32

The maximum number of computes in the endpoint group. Currently, this must be equal to min. Set to 1 for single compute endpoints, to disable HA. To manually suspend all computes in an endpoint group, set disabled to true on the EndpointSpec.

enable_readable_secondariesboolean

Whether to allow read-only connections to read-write endpoints. Only relevant for read-write endpoints where max is greater than 1. When enabled, the endpoint also reports a read-only host in status.hosts.

autoscaling_limit_min_cudouble

The minimum number of Compute Units for the initial endpoint. Minimum value is 0.5, and it must not exceed autoscaling_limit_max_cu.

autoscaling_limit_max_cudouble

The maximum number of Compute Units for the initial endpoint. Minimum value is 0.5.

suspend_timeout_durationstring

Duration of inactivity after which the initial endpoint is automatically suspended. If specified, should be between 60s and 604800s (1 minute to 1 week). Mutually exclusive with no_suspension.

no_suspensionboolean

When set to true, explicitly disables automatic suspension (never suspend). Should be set to true when provided. Mutually exclusive with suspend_timeout_duration.

delete_timestringBetaOutput only

A timestamp indicating when the project was soft-deleted. Empty if the project is not deleted, otherwise set to a timestamp in the past.

purge_timestringBetaOutput only

A timestamp indicating when the project is scheduled for permanent deletion. Empty if the project is not deleted, otherwise set to a timestamp in the future.

initial_branch_specobjectInput only

Configuration for the initial default branch created as part of project creation. Allows overriding branch protection. These settings only apply at creation time and do not affect resources created after project creation.

Show child attributesHide child attributes
is_protectedboolean

Whether the initial default branch should be protected from deletion.

project_idstringOutput only

The project ID chosen when the project was created. It is the final segment of name.

Get a Project GA​

GET /api/2.0/postgres/{name=projects/*}

Retrieves information about the specified database project.

API scopes: postgres

Parameters​

namestringRequiredpath

The full resource path of the project to retrieve. Format: projects/{project_id}

Response​

Returns the Project object.

List Projects GA​

GET /api/2.0/postgres/projects

Returns a paginated list of database projects in the workspace that the user has permission to access.

API scopes: postgres

Parameters​

page_tokenstringquery

Page token from a previous response. If not provided, returns the first page.

page_sizeint32query

Upper bound for the number of projects returned. Cannot be negative. Values above the maximum page size are reduced to that maximum.

show_deletedbooleanBetaquery

Whether to include soft-deleted projects in the response. When true, soft-deleted projects are included alongside active projects. Hard-deleted and already-purged projects are never returned.

Response​

Returns a list of Project objects.

Create a Project GA​

POST /api/2.0/postgres/projects

Creates a new Lakebase Autoscaling Postgres database project, which contains branches and compute endpoints. The new project starts with a single branch, a read-write compute endpoint on that branch, a Postgres database named databricks_postgres, and a Postgres role for the calling identity.

API scopes: postgres

Parameters​

project_idstringRequiredquery

The ID to use for the project. It becomes the final segment of the project's resource name, projects/{project_id}. The ID must be 3 to 63 characters long, start with a lowercase letter, end with a lowercase letter or digit, and contain only lowercase letters, digits, and hyphens. The ID of a soft-deleted project stays reserved until that project is permanently deleted.

Example: inventory-app

Request body​

The Project to create.

namestringIDImmutable

Output only. The full resource path of the project. Format: projects/{project_id}

specobject

The desired configuration of the project. The fields under spec are the ones that can be changed after creation, except pg_version, which is fixed when the project is created. See status for the configuration that is currently in effect.

Read the resource's current values from status, rather than spec. spec tracks field ownership for infrastructure-as-code tools and may omit unmanaged fields.

Show child attributesHide child attributes
display_namestring

Human-readable project name. Length should be between 1 and 256 characters.

pg_versionint32Input onlyImmutable

The major Postgres version number. Defaults to 17 when omitted. The set of versions that new projects can use may change over time.

history_retention_durationstring

The number of seconds to retain the shared history for point in time recovery for all branches in this project. Value should be between 172800s (2 days) and 3024000s (35 days). Defaults to 604800s (7 days) when omitted.

default_endpoint_settingsobject

Settings applied by default to compute endpoints created in this project. The initial endpoint also takes these values for any setting that initial_endpoint_spec does not provide.

Show child attributesHide child attributes
autoscaling_limit_min_cudouble

The minimum number of Compute Units. Minimum value is 0.5.

autoscaling_limit_max_cudouble

The maximum number of Compute Units. Minimum value is 0.5.

suspend_timeout_durationstring

Duration of inactivity after which the compute endpoint is automatically suspended. If specified should be between 60s and 604800s (1 minute to 1 week). Mutually exclusive with no_suspension.

no_suspensionboolean

When set to true, explicitly disables automatic suspension (never suspend). Should be set to true when provided. Mutually exclusive with suspend_timeout_duration.

pg_settingsobject

A raw representation of Postgres settings.

budget_policy_idstring

The desired budget policy to associate with the project. See status.budget_policy_id for the policy that is actually applied to the project.

custom_tagsarray of object

Custom tags to associate with the project, used for billing and cost tracking. To update tags, provide the new tag list and include "spec.custom_tags" in the update_mask. To clear all tags, provide an empty list and include "spec.custom_tags" in the update_mask. To preserve existing tags, omit this field from the update_mask (or use wildcard "*" which auto-excludes empty tags).

Show child attributesHide child attributes
keystring

The key of the custom tag.

valuestring

The value of the custom tag.

enable_pg_native_loginboolean

Whether to enable PG native password login on all endpoints in this project. Defaults to false.

default_branchstring

The full resource path of the default branch of the project. Format: projects/{project_id}/branches/{branch_id} At creation time, the branch ID in this path names the initial branch, which is called production when the field is omitted. On update, the path must name an existing branch of this project, which then becomes the default branch.

initial_endpoint_specobjectInput only

Configuration settings for the initial Read/Write endpoint created inside the initial branch for a newly created project. If omitted, the initial endpoint created will have default settings, without high availability configured. This field does not apply to any endpoints created after project creation. Use spec.default_endpoint_settings to configure default settings for endpoints created after project creation.

Show child attributesHide child attributes
groupobject

Settings for HA configuration of the endpoint.

Show child attributesHide child attributes
minint32Required

The minimum number of computes in the endpoint group. Currently, this must be equal to max. This must be greater than or equal to 1.

maxint32Required

The maximum number of computes in the endpoint group. Currently, this must be equal to min. Set to 1 for single compute endpoints, to disable HA. To manually suspend all computes in an endpoint group, set disabled to true on the EndpointSpec.

enable_readable_secondariesboolean

Whether to allow read-only connections to read-write endpoints. Only relevant for read-write endpoints where max is greater than 1. When enabled, the endpoint also reports a read-only host in status.hosts.

autoscaling_limit_min_cudouble

The minimum number of Compute Units for the initial endpoint. Minimum value is 0.5, and it must not exceed autoscaling_limit_max_cu.

autoscaling_limit_max_cudouble

The maximum number of Compute Units for the initial endpoint. Minimum value is 0.5.

suspend_timeout_durationstring

Duration of inactivity after which the initial endpoint is automatically suspended. If specified, should be between 60s and 604800s (1 minute to 1 week). Mutually exclusive with no_suspension.

no_suspensionboolean

When set to true, explicitly disables automatic suspension (never suspend). Should be set to true when provided. Mutually exclusive with suspend_timeout_duration.

initial_branch_specobjectInput only

Configuration for the initial default branch created as part of project creation. Allows overriding branch protection. These settings only apply at creation time and do not affect resources created after project creation.

Show child attributesHide child attributes
is_protectedboolean

Whether the initial default branch should be protected from deletion.

Response​

namestring

The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the name should be a resource name ending with operations/{unique_id}.

metadataobject

Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata.

doneboolean

If the value is false, it means the operation is still in progress. If true, the operation is completed, and either error or response is available.

errorobject

The error result of the operation in case of failure or cancellation.

Show child attributesHide child attributes
error_codestring

Error codes returned by Databricks APIs to indicate specific failure conditions.

Values:

Show 81 possible values
  • UNKNOWN
  • INTERNAL_ERROR
  • TEMPORARILY_UNAVAILABLE
  • IO_ERROR
  • BAD_REQUEST
  • SERVICE_UNDER_MAINTENANCE
  • WORKSPACE_TEMPORARILY_UNAVAILABLE
  • DEADLINE_EXCEEDED
  • CANCELLED
  • RESOURCE_EXHAUSTED
  • ABORTED
  • NOT_FOUND
  • ALREADY_EXISTS
  • UNAUTHENTICATED
  • UNAVAILABLE
  • INVALID_PARAMETER_VALUE
  • ENDPOINT_NOT_FOUND
  • MALFORMED_REQUEST
  • INVALID_STATE
  • PERMISSION_DENIED
  • FEATURE_DISABLED
  • CUSTOMER_UNAUTHORIZED
  • REQUEST_LIMIT_EXCEEDED
  • RESOURCE_CONFLICT
  • UNPARSEABLE_HTTP_ERROR
  • NOT_IMPLEMENTED
  • DATA_LOSS
  • INVALID_STATE_TRANSITION
  • COULD_NOT_ACQUIRE_LOCK
  • RESOURCE_ALREADY_EXISTS
  • RESOURCE_DOES_NOT_EXIST
  • QUOTA_EXCEEDED
  • MAX_BLOCK_SIZE_EXCEEDED
  • MAX_READ_SIZE_EXCEEDED
  • PARTIAL_DELETE
  • MAX_LIST_SIZE_EXCEEDED
  • DRY_RUN_FAILED
  • RESOURCE_LIMIT_EXCEEDED
  • DIRECTORY_NOT_EMPTY
  • DIRECTORY_PROTECTED
  • MAX_NOTEBOOK_SIZE_EXCEEDED
  • MAX_CHILD_NODE_SIZE_EXCEEDED
  • SEARCH_QUERY_TOO_LONG
  • SEARCH_QUERY_TOO_SHORT
  • MANAGED_RESOURCE_GROUP_DOES_NOT_EXIST
  • PERMISSION_NOT_PROPAGATED
  • DEPLOYMENT_TIMEOUT
  • GIT_CONFLICT
  • GIT_UNKNOWN_REF
  • GIT_SENSITIVE_TOKEN_DETECTED
  • GIT_URL_NOT_ON_ALLOW_LIST
  • GIT_REMOTE_ERROR
  • PROJECTS_OPERATION_TIMEOUT
  • IPYNB_FILE_IN_REPO
  • INSECURE_PARTNER_RESPONSE
  • MALFORMED_PARTNER_RESPONSE
  • METASTORE_DOES_NOT_EXIST
  • DAC_DOES_NOT_EXIST
  • CATALOG_DOES_NOT_EXIST
  • SCHEMA_DOES_NOT_EXIST
  • TABLE_DOES_NOT_EXIST
  • SHARE_DOES_NOT_EXIST
  • RECIPIENT_DOES_NOT_EXIST
  • STORAGE_CREDENTIAL_DOES_NOT_EXIST
  • EXTERNAL_LOCATION_DOES_NOT_EXIST
  • PRINCIPAL_DOES_NOT_EXIST
  • PROVIDER_DOES_NOT_EXIST
  • METASTORE_ALREADY_EXISTS
  • DAC_ALREADY_EXISTS
  • CATALOG_ALREADY_EXISTS
  • SCHEMA_ALREADY_EXISTS
  • TABLE_ALREADY_EXISTS
  • SHARE_ALREADY_EXISTS
  • RECIPIENT_ALREADY_EXISTS
  • STORAGE_CREDENTIAL_ALREADY_EXISTS
  • EXTERNAL_LOCATION_ALREADY_EXISTS
  • PROVIDER_ALREADY_EXISTS
  • CATALOG_NOT_EMPTY
  • SCHEMA_NOT_EMPTY
  • METASTORE_NOT_EMPTY
  • PROVIDER_SHARE_NOT_ACCESSIBLE
messagestring
stack_tracestring
detailsarray of object
responseobject

The normal, successful response of the operation.

Update a Project GA​

PATCH /api/2.0/postgres/{name=projects/*}

Updates the configuration of the specified database project. Only the fields named in update_mask change.

API scopes: postgres

Parameters​

namestringRequiredIDImmutablepath

Output only. The full resource path of the project. Format: projects/{project_id}

update_maskstringRequiredquery

The fields to update, as paths relative to the project, for example spec.display_name. Pass * to update every field that is set in the request. Only fields under spec can be updated.

Request body​

The Project to update.

The project's name field is used to identify the project to update. Format: projects/{project_id}

specobject

The desired configuration of the project. The fields under spec are the ones that can be changed after creation, except pg_version, which is fixed when the project is created. See status for the configuration that is currently in effect.

Read the resource's current values from status, rather than spec. spec tracks field ownership for infrastructure-as-code tools and may omit unmanaged fields.

Show child attributesHide child attributes
display_namestring

Human-readable project name. Length should be between 1 and 256 characters.

pg_versionint32Input onlyImmutable

The major Postgres version number. Defaults to 17 when omitted. The set of versions that new projects can use may change over time.

history_retention_durationstring

The number of seconds to retain the shared history for point in time recovery for all branches in this project. Value should be between 172800s (2 days) and 3024000s (35 days). Defaults to 604800s (7 days) when omitted.

default_endpoint_settingsobject

Settings applied by default to compute endpoints created in this project. The initial endpoint also takes these values for any setting that initial_endpoint_spec does not provide.

Show child attributesHide child attributes
autoscaling_limit_min_cudouble

The minimum number of Compute Units. Minimum value is 0.5.

autoscaling_limit_max_cudouble

The maximum number of Compute Units. Minimum value is 0.5.

suspend_timeout_durationstring

Duration of inactivity after which the compute endpoint is automatically suspended. If specified should be between 60s and 604800s (1 minute to 1 week). Mutually exclusive with no_suspension.

no_suspensionboolean

When set to true, explicitly disables automatic suspension (never suspend). Should be set to true when provided. Mutually exclusive with suspend_timeout_duration.

pg_settingsobject

A raw representation of Postgres settings.

budget_policy_idstring

The desired budget policy to associate with the project. See status.budget_policy_id for the policy that is actually applied to the project.

custom_tagsarray of object

Custom tags to associate with the project, used for billing and cost tracking. To update tags, provide the new tag list and include "spec.custom_tags" in the update_mask. To clear all tags, provide an empty list and include "spec.custom_tags" in the update_mask. To preserve existing tags, omit this field from the update_mask (or use wildcard "*" which auto-excludes empty tags).

Show child attributesHide child attributes
keystring

The key of the custom tag.

valuestring

The value of the custom tag.

enable_pg_native_loginboolean

Whether to enable PG native password login on all endpoints in this project. Defaults to false.

default_branchstring

The full resource path of the default branch of the project. Format: projects/{project_id}/branches/{branch_id} At creation time, the branch ID in this path names the initial branch, which is called production when the field is omitted. On update, the path must name an existing branch of this project, which then becomes the default branch.

initial_endpoint_specobjectInput only

Configuration settings for the initial Read/Write endpoint created inside the initial branch for a newly created project. If omitted, the initial endpoint created will have default settings, without high availability configured. This field does not apply to any endpoints created after project creation. Use spec.default_endpoint_settings to configure default settings for endpoints created after project creation.

Show child attributesHide child attributes
groupobject

Settings for HA configuration of the endpoint.

Show child attributesHide child attributes
minint32Required

The minimum number of computes in the endpoint group. Currently, this must be equal to max. This must be greater than or equal to 1.

maxint32Required

The maximum number of computes in the endpoint group. Currently, this must be equal to min. Set to 1 for single compute endpoints, to disable HA. To manually suspend all computes in an endpoint group, set disabled to true on the EndpointSpec.

enable_readable_secondariesboolean

Whether to allow read-only connections to read-write endpoints. Only relevant for read-write endpoints where max is greater than 1. When enabled, the endpoint also reports a read-only host in status.hosts.

autoscaling_limit_min_cudouble

The minimum number of Compute Units for the initial endpoint. Minimum value is 0.5, and it must not exceed autoscaling_limit_max_cu.

autoscaling_limit_max_cudouble

The maximum number of Compute Units for the initial endpoint. Minimum value is 0.5.

suspend_timeout_durationstring

Duration of inactivity after which the initial endpoint is automatically suspended. If specified, should be between 60s and 604800s (1 minute to 1 week). Mutually exclusive with no_suspension.

no_suspensionboolean

When set to true, explicitly disables automatic suspension (never suspend). Should be set to true when provided. Mutually exclusive with suspend_timeout_duration.

initial_branch_specobjectInput only

Configuration for the initial default branch created as part of project creation. Allows overriding branch protection. These settings only apply at creation time and do not affect resources created after project creation.

Show child attributesHide child attributes
is_protectedboolean

Whether the initial default branch should be protected from deletion.

Response​

namestring

The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the name should be a resource name ending with operations/{unique_id}.

metadataobject

Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata.

doneboolean

If the value is false, it means the operation is still in progress. If true, the operation is completed, and either error or response is available.

errorobject

The error result of the operation in case of failure or cancellation.

Show child attributesHide child attributes
error_codestring

Error codes returned by Databricks APIs to indicate specific failure conditions.

Values:

Show 81 possible values
  • UNKNOWN
  • INTERNAL_ERROR
  • TEMPORARILY_UNAVAILABLE
  • IO_ERROR
  • BAD_REQUEST
  • SERVICE_UNDER_MAINTENANCE
  • WORKSPACE_TEMPORARILY_UNAVAILABLE
  • DEADLINE_EXCEEDED
  • CANCELLED
  • RESOURCE_EXHAUSTED
  • ABORTED
  • NOT_FOUND
  • ALREADY_EXISTS
  • UNAUTHENTICATED
  • UNAVAILABLE
  • INVALID_PARAMETER_VALUE
  • ENDPOINT_NOT_FOUND
  • MALFORMED_REQUEST
  • INVALID_STATE
  • PERMISSION_DENIED
  • FEATURE_DISABLED
  • CUSTOMER_UNAUTHORIZED
  • REQUEST_LIMIT_EXCEEDED
  • RESOURCE_CONFLICT
  • UNPARSEABLE_HTTP_ERROR
  • NOT_IMPLEMENTED
  • DATA_LOSS
  • INVALID_STATE_TRANSITION
  • COULD_NOT_ACQUIRE_LOCK
  • RESOURCE_ALREADY_EXISTS
  • RESOURCE_DOES_NOT_EXIST
  • QUOTA_EXCEEDED
  • MAX_BLOCK_SIZE_EXCEEDED
  • MAX_READ_SIZE_EXCEEDED
  • PARTIAL_DELETE
  • MAX_LIST_SIZE_EXCEEDED
  • DRY_RUN_FAILED
  • RESOURCE_LIMIT_EXCEEDED
  • DIRECTORY_NOT_EMPTY
  • DIRECTORY_PROTECTED
  • MAX_NOTEBOOK_SIZE_EXCEEDED
  • MAX_CHILD_NODE_SIZE_EXCEEDED
  • SEARCH_QUERY_TOO_LONG
  • SEARCH_QUERY_TOO_SHORT
  • MANAGED_RESOURCE_GROUP_DOES_NOT_EXIST
  • PERMISSION_NOT_PROPAGATED
  • DEPLOYMENT_TIMEOUT
  • GIT_CONFLICT
  • GIT_UNKNOWN_REF
  • GIT_SENSITIVE_TOKEN_DETECTED
  • GIT_URL_NOT_ON_ALLOW_LIST
  • GIT_REMOTE_ERROR
  • PROJECTS_OPERATION_TIMEOUT
  • IPYNB_FILE_IN_REPO
  • INSECURE_PARTNER_RESPONSE
  • MALFORMED_PARTNER_RESPONSE
  • METASTORE_DOES_NOT_EXIST
  • DAC_DOES_NOT_EXIST
  • CATALOG_DOES_NOT_EXIST
  • SCHEMA_DOES_NOT_EXIST
  • TABLE_DOES_NOT_EXIST
  • SHARE_DOES_NOT_EXIST
  • RECIPIENT_DOES_NOT_EXIST
  • STORAGE_CREDENTIAL_DOES_NOT_EXIST
  • EXTERNAL_LOCATION_DOES_NOT_EXIST
  • PRINCIPAL_DOES_NOT_EXIST
  • PROVIDER_DOES_NOT_EXIST
  • METASTORE_ALREADY_EXISTS
  • DAC_ALREADY_EXISTS
  • CATALOG_ALREADY_EXISTS
  • SCHEMA_ALREADY_EXISTS
  • TABLE_ALREADY_EXISTS
  • SHARE_ALREADY_EXISTS
  • RECIPIENT_ALREADY_EXISTS
  • STORAGE_CREDENTIAL_ALREADY_EXISTS
  • EXTERNAL_LOCATION_ALREADY_EXISTS
  • PROVIDER_ALREADY_EXISTS
  • CATALOG_NOT_EMPTY
  • SCHEMA_NOT_EMPTY
  • METASTORE_NOT_EMPTY
  • PROVIDER_SHARE_NOT_ACCESSIBLE
messagestring
stack_tracestring
detailsarray of object
responseobject

The normal, successful response of the operation.

Delete a Project GA​

DELETE /api/2.0/postgres/{name=projects/*}

Deletes the specified database project. By default the project is soft-deleted and can be restored with Undelete during its retention period; set purge to delete it permanently.

API scopes: postgres

Parameters​

namestringRequiredpath

The full resource path of the project to delete. Format: projects/{project_id}

purgebooleanBetaquery

If true, permanently deletes the project and all of its data immediately. If false or unset, the project is soft-deleted: it stops accepting connections and is retained for 7 days, during which it can be restored with Undelete, and is then permanently deleted. Deleting an already soft-deleted project with purge set to true removes it immediately. See https://docs.databricks.com/aws/en/oltp/projects/manage-projects for details.

Response​

namestring

The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the name should be a resource name ending with operations/{unique_id}.

metadataobject

Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata.

doneboolean

If the value is false, it means the operation is still in progress. If true, the operation is completed, and either error or response is available.

errorobject

The error result of the operation in case of failure or cancellation.

Show child attributesHide child attributes
error_codestring

Error codes returned by Databricks APIs to indicate specific failure conditions.

Values:

Show 81 possible values
  • UNKNOWN
  • INTERNAL_ERROR
  • TEMPORARILY_UNAVAILABLE
  • IO_ERROR
  • BAD_REQUEST
  • SERVICE_UNDER_MAINTENANCE
  • WORKSPACE_TEMPORARILY_UNAVAILABLE
  • DEADLINE_EXCEEDED
  • CANCELLED
  • RESOURCE_EXHAUSTED
  • ABORTED
  • NOT_FOUND
  • ALREADY_EXISTS
  • UNAUTHENTICATED
  • UNAVAILABLE
  • INVALID_PARAMETER_VALUE
  • ENDPOINT_NOT_FOUND
  • MALFORMED_REQUEST
  • INVALID_STATE
  • PERMISSION_DENIED
  • FEATURE_DISABLED
  • CUSTOMER_UNAUTHORIZED
  • REQUEST_LIMIT_EXCEEDED
  • RESOURCE_CONFLICT
  • UNPARSEABLE_HTTP_ERROR
  • NOT_IMPLEMENTED
  • DATA_LOSS
  • INVALID_STATE_TRANSITION
  • COULD_NOT_ACQUIRE_LOCK
  • RESOURCE_ALREADY_EXISTS
  • RESOURCE_DOES_NOT_EXIST
  • QUOTA_EXCEEDED
  • MAX_BLOCK_SIZE_EXCEEDED
  • MAX_READ_SIZE_EXCEEDED
  • PARTIAL_DELETE
  • MAX_LIST_SIZE_EXCEEDED
  • DRY_RUN_FAILED
  • RESOURCE_LIMIT_EXCEEDED
  • DIRECTORY_NOT_EMPTY
  • DIRECTORY_PROTECTED
  • MAX_NOTEBOOK_SIZE_EXCEEDED
  • MAX_CHILD_NODE_SIZE_EXCEEDED
  • SEARCH_QUERY_TOO_LONG
  • SEARCH_QUERY_TOO_SHORT
  • MANAGED_RESOURCE_GROUP_DOES_NOT_EXIST
  • PERMISSION_NOT_PROPAGATED
  • DEPLOYMENT_TIMEOUT
  • GIT_CONFLICT
  • GIT_UNKNOWN_REF
  • GIT_SENSITIVE_TOKEN_DETECTED
  • GIT_URL_NOT_ON_ALLOW_LIST
  • GIT_REMOTE_ERROR
  • PROJECTS_OPERATION_TIMEOUT
  • IPYNB_FILE_IN_REPO
  • INSECURE_PARTNER_RESPONSE
  • MALFORMED_PARTNER_RESPONSE
  • METASTORE_DOES_NOT_EXIST
  • DAC_DOES_NOT_EXIST
  • CATALOG_DOES_NOT_EXIST
  • SCHEMA_DOES_NOT_EXIST
  • TABLE_DOES_NOT_EXIST
  • SHARE_DOES_NOT_EXIST
  • RECIPIENT_DOES_NOT_EXIST
  • STORAGE_CREDENTIAL_DOES_NOT_EXIST
  • EXTERNAL_LOCATION_DOES_NOT_EXIST
  • PRINCIPAL_DOES_NOT_EXIST
  • PROVIDER_DOES_NOT_EXIST
  • METASTORE_ALREADY_EXISTS
  • DAC_ALREADY_EXISTS
  • CATALOG_ALREADY_EXISTS
  • SCHEMA_ALREADY_EXISTS
  • TABLE_ALREADY_EXISTS
  • SHARE_ALREADY_EXISTS
  • RECIPIENT_ALREADY_EXISTS
  • STORAGE_CREDENTIAL_ALREADY_EXISTS
  • EXTERNAL_LOCATION_ALREADY_EXISTS
  • PROVIDER_ALREADY_EXISTS
  • CATALOG_NOT_EMPTY
  • SCHEMA_NOT_EMPTY
  • METASTORE_NOT_EMPTY
  • PROVIDER_SHARE_NOT_ACCESSIBLE
messagestring
stack_tracestring
detailsarray of object
responseobject

The normal, successful response of the operation.

Undelete a Project Beta​

POST /api/2.0/postgres/{name=projects/*}/undelete

Restores a soft-deleted project together with its branches and their data, compute endpoints, Postgres databases and roles, project settings, and permissions. A project can be restored until its purge_time; after that it is permanently deleted and cannot be recovered.

API scopes: postgres

Parameters​

namestringRequiredpath

The full resource path of the project to undelete. Format: projects/{project_id}

Response​

namestring

The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the name should be a resource name ending with operations/{unique_id}.

metadataobject

Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata.

doneboolean

If the value is false, it means the operation is still in progress. If true, the operation is completed, and either error or response is available.

errorobject

The error result of the operation in case of failure or cancellation.

Show child attributesHide child attributes
error_codestring

Error codes returned by Databricks APIs to indicate specific failure conditions.

Values:

Show 81 possible values
  • UNKNOWN
  • INTERNAL_ERROR
  • TEMPORARILY_UNAVAILABLE
  • IO_ERROR
  • BAD_REQUEST
  • SERVICE_UNDER_MAINTENANCE
  • WORKSPACE_TEMPORARILY_UNAVAILABLE
  • DEADLINE_EXCEEDED
  • CANCELLED
  • RESOURCE_EXHAUSTED
  • ABORTED
  • NOT_FOUND
  • ALREADY_EXISTS
  • UNAUTHENTICATED
  • UNAVAILABLE
  • INVALID_PARAMETER_VALUE
  • ENDPOINT_NOT_FOUND
  • MALFORMED_REQUEST
  • INVALID_STATE
  • PERMISSION_DENIED
  • FEATURE_DISABLED
  • CUSTOMER_UNAUTHORIZED
  • REQUEST_LIMIT_EXCEEDED
  • RESOURCE_CONFLICT
  • UNPARSEABLE_HTTP_ERROR
  • NOT_IMPLEMENTED
  • DATA_LOSS
  • INVALID_STATE_TRANSITION
  • COULD_NOT_ACQUIRE_LOCK
  • RESOURCE_ALREADY_EXISTS
  • RESOURCE_DOES_NOT_EXIST
  • QUOTA_EXCEEDED
  • MAX_BLOCK_SIZE_EXCEEDED
  • MAX_READ_SIZE_EXCEEDED
  • PARTIAL_DELETE
  • MAX_LIST_SIZE_EXCEEDED
  • DRY_RUN_FAILED
  • RESOURCE_LIMIT_EXCEEDED
  • DIRECTORY_NOT_EMPTY
  • DIRECTORY_PROTECTED
  • MAX_NOTEBOOK_SIZE_EXCEEDED
  • MAX_CHILD_NODE_SIZE_EXCEEDED
  • SEARCH_QUERY_TOO_LONG
  • SEARCH_QUERY_TOO_SHORT
  • MANAGED_RESOURCE_GROUP_DOES_NOT_EXIST
  • PERMISSION_NOT_PROPAGATED
  • DEPLOYMENT_TIMEOUT
  • GIT_CONFLICT
  • GIT_UNKNOWN_REF
  • GIT_SENSITIVE_TOKEN_DETECTED
  • GIT_URL_NOT_ON_ALLOW_LIST
  • GIT_REMOTE_ERROR
  • PROJECTS_OPERATION_TIMEOUT
  • IPYNB_FILE_IN_REPO
  • INSECURE_PARTNER_RESPONSE
  • MALFORMED_PARTNER_RESPONSE
  • METASTORE_DOES_NOT_EXIST
  • DAC_DOES_NOT_EXIST
  • CATALOG_DOES_NOT_EXIST
  • SCHEMA_DOES_NOT_EXIST
  • TABLE_DOES_NOT_EXIST
  • SHARE_DOES_NOT_EXIST
  • RECIPIENT_DOES_NOT_EXIST
  • STORAGE_CREDENTIAL_DOES_NOT_EXIST
  • EXTERNAL_LOCATION_DOES_NOT_EXIST
  • PRINCIPAL_DOES_NOT_EXIST
  • PROVIDER_DOES_NOT_EXIST
  • METASTORE_ALREADY_EXISTS
  • DAC_ALREADY_EXISTS
  • CATALOG_ALREADY_EXISTS
  • SCHEMA_ALREADY_EXISTS
  • TABLE_ALREADY_EXISTS
  • SHARE_ALREADY_EXISTS
  • RECIPIENT_ALREADY_EXISTS
  • STORAGE_CREDENTIAL_ALREADY_EXISTS
  • EXTERNAL_LOCATION_ALREADY_EXISTS
  • PROVIDER_ALREADY_EXISTS
  • CATALOG_NOT_EMPTY
  • SCHEMA_NOT_EMPTY
  • METASTORE_NOT_EMPTY
  • PROVIDER_SHARE_NOT_ACCESSIBLE
messagestring
stack_tracestring
detailsarray of object
responseobject

The normal, successful response of the operation.